
QGIS Application - Bug report #7866

data-defined size for points layer wrongly computed when re-loading project

2013-05-20 01:30 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16741

Description

Steps to reproduce:

1. Open a new project

2. Load the attached test.shp file

3. Open the layer property, go to symbology section

4. Open the data defined property window, check the [ ] size box and use the "size" field

5. Apply, and notice how big the points are

6. Save this new project under any name

7. Close QGIS, re-open QGIS, re-load the newly saved project

At this stage, you'll notice the points' size is much smaller (i.e. wrong) than when layer was initially loaded and the size field set.

Associated revisions

Revision 818d97ee - 2013-05-23 11:35 AM - Marco Hugentobler

Fix #7866

History

#1 - 2013-05-20 01:31 AM - Giovanni Manghi

- Status changed from Open to Feedback

this is probably because of another bug not yet fixed in master, that makes the units be always map units by default, instead of mm. Please review the

tracker and eventually close this as duplicate.

#2 - 2013-05-20 01:33 AM - Mathieu Pellerin - nIRV

Giovanni, no, I don't think so. Switching from mm to map unit does make a difference (under proper value and "corrupted" re-loaded value). Give it a try.

#3 - 2013-05-20 01:48 AM - Giovanni Manghi

Mathieu Pellerin - nIRV wrote:

Giovanni, no, I don't think so. Switching from mm to map unit does make a difference (under proper value and "corrupted" re-loaded value). Give it a

try.
ok, anyway seems a regression, so tag this as blocker.

#4 - 2013-05-23 02:35 AM - Marco Hugentobler

- Status changed from Feedback to Closed

Fixed in changeset commit:"818d97ee40ddc3c72453adb114c257dd7cd54ce1".

#5 - 2013-05-23 02:49 AM - Mathieu Pellerin - nIRV

Marco, thanks.

Files

test.zip 1.28 KB 2013-05-19 Mathieu Pellerin - nIRV
